Commit 106b2a31 authored by Maiken's avatar Maiken

Various formatting fixes

parent 2570a530
Pipeline #4026 passed with stages
in 20 minutes and 6 seconds
......@@ -42,7 +42,7 @@ You can set up the Nordugrid repository through yum/dnf, or by manually editing
The NorduGrid ARC repositories for RedHat / CentOS Enterprise Linux packaging utility yum or dnf can be configured through:
.. code-block:: yum/dnf nordugrid-repo setup
.. code-block:: yum/dnf-nordugrid-repo-setup
/etc/yum/nordugrid.repo
......@@ -58,15 +58,15 @@ The easiest way to configure YUM to use the NorduGrid repository for Red Hat Ent
Example packages are shown below for x86_64 architectures, they also exist for i386. In that case exchange the ``x86_64`` in the links below with ´´i386´´.
.. code-block:: rhel-repo for centos - shown here for x86_64, i
Centos:
* EL 7:`nordugrid-release-6-1.el7.centos.noarch.rpm <http://download.nordugrid.org/packages/nordugrid-release/releases/6/centos/el7/x86_64/nordugrid-release-6-1.el7.centos.noarch.rpm>`_
* EL 6: `nordugrid-release-6-1.el6.noarch.rpm <http://download.nordugrid.org/packages/nordugrid-release/releases/6/centos/el6/x86_64/nordugrid-release-6-1.el6.noarch.rpm>`_
* EL 5: `nordugrid-release-6-1.el5.noarch.rpm <http://download.nordugrid.org/packages/nordugrid-release/releases/6/centos/el5/x86_64/nordugrid-release-6-1.el5.noarch.rpm>`_
EL 7:[nordugrid-release-6-1.el7.centos.noarch.rpm](http://download.nordugrid.org/packages/nordugrid-release/releases/6/centos/el7/x86_64/nordugrid-release-6-1.el7.centos.noarch.rpm)
EL 6: [nordugrid-release-6-1.el6.noarch.rpm](http://download.nordugrid.org/packages/nordugrid-release/releases/6/centos/el6/x86_64/nordugrid-release-6-1.el6.noarch.rpm)
EL 5: [nordugrid-release-6-1.el5.noarch.rpm](http://download.nordugrid.org/packages/nordugrid-release/releases/6/centos/el5/x86_64/nordugrid-release-6-1.el5.noarch.rpm)
.. code-block:: rhel-repo for fedora - shown here for x86_64
Fedora 29: [nordugrid-release-6-1.fc29.noarch.rpm)](http://download.nordugrid.org/packages/nordugrid-release/releases/6/fedora/29/x86_64/nordugrid-release-6-1.fc29.noarch.rpm)
Fedora 28: [nordugrid-release-6-1.fc28.noarch.rpm)](http://download.nordugrid.org/packages/nordugrid-release/releases/6/fedora/28/x86_64/nordugrid-release-6-1.fc28.noarch.rpm)
Fedora
* Fedora 29: `nordugrid-release-6-1.fc29.noarch.rpm) <http://download.nordugrid.org/packages/nordugrid-release/releases/6/fedora/29/x86_64/nordugrid-release-6-1.fc29.noarch.rpm>`_
* Fedora 28: `nordugrid-release-6-1.fc28.noarch.rpm) <http://download.nordugrid.org/packages/nordugrid-release/releases/6/fedora/28/x86_64/nordugrid-release-6-1.fc28.noarch.rpm>`_
And so on for the different Fedora releases
......@@ -117,14 +117,16 @@ Check if it works running ``yum`` (or ``dnf``), e.g.:
Install required packages
-------------------------
Once the nordugrid repositories are installed, install the packages with:
Once the nordugrid repositories are configured, install the packages with:
.. code-block:: yum install (dnf for fedora)
.. code-block:: yum-install
yum install <list of package names>
Please refer to the [installation guide](http://www.nordugrid.org/documents/arc6/user/arc6_install_guide.html) for package selection.
Or with dnf for Fedora.
Please refer to the `installation guide <http://www.nordugrid.org/documents/arc6/user/arc6_install_guide.html>`_ for package selection.
Note that the NorduGrid repositories for RedHat / CentOS Enterprise Linux depends on the EPEL repositories which must also be part of the Yum configuration.
......@@ -166,21 +168,22 @@ Supported versions:
Install nordugrid-release package for Debian/Ubuntu through dpkg
----------------------------------------------------------------
#### Debian
AMD:
Debian 9: [nordugrid-release_6~bpo9+1_all.deb](http://download.nordugrid.org/packages/nordugrid-release/releases/6/debian/9/amd64/nordugrid-release_6~bpo9+1_all.deb)
Debian 8: [nordugrid-release_6~bpo8+1_all.deb](http://download.nordugrid.org/packages/nordugrid-release/releases/6/debian/8/amd64/nordugrid-release_6~bpo8+1_all.deb)
Debian 7: [nordugrid-release_6~bpo7+1_all.deb](http://download.nordugrid.org/packages/nordugrid-release/releases/6/debian/7/amd64/nordugrid-release_6~bpo7+1_all.deb)
Debian
******
AMD:
* Debian 9: `nordugrid-release_6~bpo9+1_all.deb <http://download.nordugrid.org/packages/nordugrid-release/releases/6/debian/9/amd64/nordugrid-release_6~bpo9+1_all.deb>`_
* Debian 8: `nordugrid-release_6~bpo8+1_all.deb <http://download.nordugrid.org/packages/nordugrid-release/releases/6/debian/8/amd64/nordugrid-release_6~bpo8+1_all.deb>`_
* Debian 7: `nordugrid-release_6~bpo7+1_all.deb <http://download.nordugrid.org/packages/nordugrid-release/releases/6/debian/7/amd64/nordugrid-release_6~bpo7+1_all.deb>`_
#### Ubuntu
For Ubuntu you find the relevant release packages in placed in a folder structure of type: http://download.nordugrid.org/packages/nordugrid-release/releases/6/ubuntu/16.04/amd64/nordugrid-release_6~xenial1_all.deb - and likewise for i386. The most recent supported packages are listed below.
Ubuntu
******
For Ubuntu you find the relevant release packages in placed in a folder structure of type: `http://download.nordugrid.org/packages/nordugrid-release/releases/6/ubuntu/16.04/amd64/nordugrid-release_6~xenial1_all.deb`_ - and likewise for i386. The most recent supported packages are listed below.
[16.04 - nordugrid-release_6~xenial1_all.deb](http://download.nordugrid.org/packages/nordugrid-release/releases/6/ubuntu/16.04/amd64/nordugrid-release_6~xenial1_all.deb)
[15.10 - nordugrid-release_6~wily1_all.deb](http://download.nordugrid.org/packages/nordugrid-release/releases/6/ubuntu/15.10/amd64/nordugrid-release_6~wily1_all.deb)
* `16.04 - nordugrid-release_6~xenial1_all.deb <http://download.nordugrid.org/packages/nordugrid-release/releases/6/ubuntu/16.04/amd64/nordugrid-release_6~xenial1_all.deb)>`_
* `15.10 - nordugrid-release_6~wily1_all.deb <http://download.nordugrid.org/packages/nordugrid-release/releases/6/ubuntu/15.10/amd64/nordugrid-release_6~wily1_all.deb>`_
For older versions replace the distribution number and name with the one required.
......@@ -260,5 +263,5 @@ Install the packages with:
apt-get install <list of package names>
Please refer to the [installation guide](http://www.nordugrid.org/documents/arc6/user/arc6_install_guide.html) for package selection.
Please refer to the `installation guide <http://www.nordugrid.org/documents/arc6/user/arc6_install_guide.html>`_ for package selection.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment